%define module GDTextUtil
%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)
%define siteperl /usr/lib/perl5/site_perl/%{perlver}

Summary: Text utilities for use with the GD drawing package.
Name: perl-gd-textutil
Version: 0.86
Release: 1tr
Group: Trustix Official
Source: http://search.cpan.org/CPAN/authors/id/M/MV/MVERB/GDTextUtil-%{version}.tar.gz
License: GPL 
BuildRoot: /var/tmp/%{name}-%{version}-root
Requires: perl

%description
The GDTextUtil package contains text utilities for use with the GD
drawing package. This package provides three modules that make it
possible to work with internal GD fonts as well as TrueType fonts,
without having to worry about different interface functions to call.
Apart from an abstract interface to all font types and strings for GD,
this library also provides some utility in aligning and wrapping your
string.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
make install 

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root,0755)
%doc README  Changes demo
%{siteperl}/GD/Text*
%{_mandir}/man3/*

%changelog
* Tue Jan 08 2008 Nived Gopalan <nived at trustix dot org> 0.86-1tr
- Initial release

